

```
docker run --name ngdemo_mysql -d -p 3306:3306 -e MYSQL_ROOT_PASSWORD=dodol123 \
    -e MYSQL_DATABASE=demo -e MYSQL_USER=demo -e MYSQL_PASSWORD=demo mysql/mysql-server
```


```
docker run --name ngdemo_mysql_admin -d --link ngdemo_mysql:db -p 8306:80 phpmyadmin/phpmyadmin
```


```
docker run --name ngdemo_redis -p 6379:6379 -d redis
```


```
docker run --name ngdemo_mongodb -d -p 27017:27017 -p 28017:28017 mongo

docker exec -it ngdemo_mongodb mongo admin --eval "db.createUser({user:'demo',pwd:'demo',roles:[{role:'dbOwner',db:'admin'},'root']});"
```


```
docker run --name ngdemo_mongoexpress -d --link ngdemo_mongodb:mongo -p 7081:8081 \
   -e ME_CONFIG_MONGODB_ADMINUSERNAME=demo \
   -e ME_CONFIG_MONGODB_ADMINPASSWORD=demo \
   mongo-express
```
